<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:16 CEST 2011 -->
<TITLE>
SysEquLin
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SysEquLin";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/SysEquLin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SysEquLin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
SysEquLin</FONT>
<BR>
Class SysEquLin</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>SysEquLin.SysEquLin</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>SysEquLin</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Defines a linear differential equations system.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#SysEquLin()">SysEquLin</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty system.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#SysEquLin(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)">SysEquLin</A></B>(java.lang.String&nbsp;sys,
          <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
          <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize an newly defined SysEquLin object with a string object
 containing a system definition.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#getNequs()">getNequs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the number of linear differential equations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#getNouts()">getNouts</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the number of linear differential equations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#ordering()">ordering</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#orderingOuput()">orderingOuput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#setSystem(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)">setSystem</A></B>(java.lang.String&nbsp;sys,
          <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
          <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a string object containing a system definition (with
 a defined syntax).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the linear
 differential equations system with line feed as separator character
 (print numbers).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toString(SysEquLin.StateList, SysEquLin.StateList)">toString</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
         <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the linear
 differential equations system with line feed as separator character
 (print names).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toString(SysEquLin.StateList, SysEquLin.StateList, java.lang.String)">toString</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
         <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist,
         java.lang.String&nbsp;sep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the linear
 differential equations system with user defined separator character
 (print names).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toString(java.lang.String)">toString</A></B>(java.lang.String&nbsp;sep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the linear
 differential equations system with user defined separator character
 (print numbers).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormA(SysEquLin.StateList)">toStringMatrixFormA</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the A matrix
 (where each rows are separated by semicolons).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormB(SysEquLin.StateList)">toStringMatrixFormB</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the B matrix
 (where each rows are separated by semicolons).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormC(SysEquLin.StateList)">toStringMatrixFormC</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the C matrix
 (where each rows are separated by semicolons).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormD(SysEquLin.StateList)">toStringMatrixFormD</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object containing a representation of the D matrix
 (where each rows are separated by semicolons).</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SysEquLin()"><!-- --></A><H3>
SysEquLin</H3>
<PRE>
public <B>SysEquLin</B>()</PRE>
<DL>
<DD>Creates an empty system.
<P>
</DL>
<HR>

<A NAME="SysEquLin(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
SysEquLin</H3>
<PRE>
public <B>SysEquLin</B>(java.lang.String&nbsp;sys,
                 <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                 <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)
          throws <A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></PRE>
<DL>
<DD>Initialize an newly defined SysEquLin object with a string object
 containing a system definition.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>sys</CODE> - string object to be parsed.<DD><CODE>slist</CODE> - states list.<DD><CODE>ulist</CODE> - inputs list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></CODE> - if a parse error occur.<DT><B>See Also:</B><DD><A HREF="../SysEquLin/SysEquLin.html#setSystem(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)"><CODE>setSystem(String sys, StateList slist, StateList ulist)</CODE></A></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setSystem(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
setSystem</H3>
<PRE>
public void <B>setSystem</B>(java.lang.String&nbsp;sys,
                      <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                      <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)
               throws <A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></PRE>
<DL>
<DD>Parses a string object containing a system definition (with
 a defined syntax).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sys</CODE> - string object to be parsed.<DD><CODE>slist</CODE> - states list.<DD><CODE>ulist</CODE> - inputs list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></CODE> - if a parse error occur.</DL>
</DD>
</DL>
<HR>

<A NAME="ordering()"><!-- --></A><H3>
ordering</H3>
<PRE>
public void <B>ordering</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="orderingOuput()"><!-- --></A><H3>
orderingOuput</H3>
<PRE>
public void <B>orderingOuput</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNequs()"><!-- --></A><H3>
getNequs</H3>
<PRE>
public int <B>getNequs</B>()</PRE>
<DL>
<DD>Gets the number of linear differential equations.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>number of linear differential equations.</DL>
</DD>
</DL>
<HR>

<A NAME="getNouts()"><!-- --></A><H3>
getNouts</H3>
<PRE>
public int <B>getNouts</B>()</PRE>
<DL>
<DD>Gets the number of linear differential equations.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>number of linear differential equations.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(java.lang.String)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(java.lang.String&nbsp;sep)</PRE>
<DL>
<DD>Returns a string object containing a representation of the linear
 differential equations system with user defined separator character
 (print numbers).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sep</CODE> - separator character between each equation.
<DT><B>Returns:</B><DD>string representation of the system.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object containing a representation of the linear
 differential equations system with line feed as separator character
 (print numbers).
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of the system.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(SysEquLin.StateList, SysEquLin.StateList, java.lang.String)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                                 <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist,
                                 java.lang.String&nbsp;sep)</PRE>
<DL>
<DD>Returns a string object containing a representation of the linear
 differential equations system with user defined separator character
 (print names).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sep</CODE> - separator character between each equation.
<DT><B>Returns:</B><DD>string representation of the system.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                                 <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD>Returns a string object containing a representation of the linear
 differential equations system with line feed as separator character
 (print names).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of the system.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormA(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormA</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormA</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</PRE>
<DL>
<DD>Returns a string object containing a representation of the A matrix
 (where each rows are separated by semicolons).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - state list.
<DT><B>Returns:</B><DD>string representation of the A matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormB(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormB</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormB</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD>Returns a string object containing a representation of the B matrix
 (where each rows are separated by semicolons).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ulist</CODE> - input list.
<DT><B>Returns:</B><DD>string representation of the B matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormC(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormC</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormC</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</PRE>
<DL>
<DD>Returns a string object containing a representation of the C matrix
 (where each rows are separated by semicolons).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - state list.
<DT><B>Returns:</B><DD>string representation of the C matrix.<DT><B>See Also:</B><DD><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormA(SysEquLin.StateList)"><CODE>toStringMatrixFormA(StateList slist)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormD(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormD</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormD</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD>Returns a string object containing a representation of the D matrix
 (where each rows are separated by semicolons).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ulist</CODE> - input list.
<DT><B>Returns:</B><DD>string representation of the D matrix.<DT><B>See Also:</B><DD><A HREF="../SysEquLin/SysEquLin.html#toStringMatrixFormB(SysEquLin.StateList)"><CODE>toStringMatrixFormB(StateList ulist)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/SysEquLin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SysEquLin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
